/*
 * i2c.h
 *
 * Author: R9OFG
 * Ver - 2.00
 */

#ifndef I2C_H
#define I2C_H

/*  */

#include "main.h"

/*  */

#define I2C_START		0x08
#define I2C_START_RPT	0x10
#define I2C_SLA_W_ACK	0x18
#define I2C_SLA_R_ACK	0x40
#define I2C_DATA_ACK	0x28
#define I2C_WRITE		0xC0
#define I2C_READ		0xC1

/*   */

uint8_t	I2C_start();
void	I2C_stop();
uint8_t	I2C_byte_send(uint8_t data);
void	I2C_init();

#endif //I2C_H

/*   */
