/*
 * Float_transform.c
 *
 * v1.1( ,  -1.00f < float value < 0.00f)
 *
 *     float   :   .
 *  ,    -u_printf_float  ,    .
 *    .
 *  Val = 25.436f.      2   .  25.44
 *
 *  Created on: Aug 24, 2021
 *      Author: Oleg Volkov
 *
 *      P.S            !
 *           .
 */

#include "Float_transform.h"

/*--------------------------------  -------------------------------------*/
uint8_t sign_number = 0;
int integer_number = 0;
uint32_t fractional_number = 0;

/*--------------------------------  -------------------------------------*/

/*--------------------------------  main.c--------------------------------------*/
/*extern uint8_t sign_number;
 extern int integer_number;
 extern uint32_t fractional_number;
 */
/*--------------------------------  main.c--------------------------------------*/

/*============================   ===================================*/
// main.c
/*#include "Float_transform.h"

 extern uint8_t sign_number;
 extern int integer_number;
 extern uint32_t fractional_number;

 float Val = -3.14159265359f;

 Float_transform(Val, 4, &sign_number, &integer_number, &fractional_number);
 if (!sign_number) {
 printf("Val = %d.%.04ld\r\n", integer_number, fractional_number);
 } else {
 printf("Val = -%d.%.04ld\r\n", integer_number, fractional_number);
 }
 */
// : float = -3.1416
/*
 *     .    ,       .
 * ..  Val = 25.0126;
 *   
 * Float_transform(counter, 3, &sign_number, &integer_number, &fractional_number);
 * 
 * integer_number = 25;
 * fractional_number = 13;
 *     25.013, :
 * printf("float = %d.%.03ld\r\n", integer_number, fractional_number);
 *
 *  : float = 25.013
 *
 */
/*============================   ===================================*/

/*-------------------------------- float  ------------------------------*/
void Float_transform(float value, uint8_t width, uint8_t *sign_number, int *integer_number, uint32_t *fractional_number) {
///    float   :   .
	/// \param float value -  float,   
	/// \param uint8_t width -      
	/// \param uint8_t *sign_number -  (  )
	/// \param int *integer_number -     
	/// \param uint32_t *fractional_number -     
	*sign_number = 0;
	float rounding = 0.5f;
	uint32_t rounding_2 = 1;
	if (*((uint32_t*) &value) & 0x80000000) {
		*((uint32_t*) &value) &= 0x7FFFFFFF;
		*sign_number = 1;
	}
	for (uint8_t i = 0; i < width; i++) {
		rounding_2 = rounding_2 * 10;
	}
	rounding = rounding / rounding_2;
	*integer_number = (int) ((float) value + rounding);
	*fractional_number = (((float) value + rounding) * rounding_2) - (*integer_number * rounding_2);

}
/*-------------------------------- float  ------------------------------*/
